com.google.web.bindery.requestfactory.shared.testing

## Class FakeRequest<T>

- java.lang.Object
- - com.google.web.bindery.requestfactory.shared.testing.FakeRequest<T>

Type Parameters:
  `T` - The return type of objects in the corresponding response.

All Implemented Interfaces:
  Request<T>

    public class FakeRequest<T>
    extends java.lang.Object
    implements Request<T>

A no-op implementation of Request that can be used as a base type for writing unit tests.

### Constructor Summary

Constructors
Constructor and Description
`FakeRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fire()` No-op.
`void` `fire(Receiver<? super T> receiver)` No-op.
`RequestContext` `getRequestContext()` Returns `null`.
`RequestContext` `to(Receiver<? super T> receiver)` Returns `null`.
`Request<T>` `with(java.lang.String... propertyRefs)` Returns `this`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FakeRequest

    public FakeRequest()

### Method Detail

#### fire

    public void fire()

No-op.

Specified by:
  `fire` in interface `Request<T>`

#### fire

    public void fire(Receiver<? super T> receiver)

No-op.

Specified by:
  `fire` in interface `Request<T>`
Parameters:
  `receiver` - a `Receiver` instance

#### getRequestContext

    public RequestContext getRequestContext()

Returns `null`.

Specified by:
  `getRequestContext` in interface `Request<T>`

#### to

    public RequestContext to(Receiver<? super T> receiver)

Returns `null`.

Specified by:
  `to` in interface `Request<T>`
Parameters:
  `receiver` - a `Receiver` instance
Returns:
  a `RequestContext` instance

#### with

    public Request<T> with(java.lang.String... propertyRefs)

Returns `this`.

Specified by:
  `with` in interface `Request<T>`
Parameters:
  `propertyRefs` - a list of reference property names as Strings
Returns:
  a `Request` instance of type T